<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: SimpleMovingAverage&lt; Class T &gt; Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d0/d9c/class_simple_moving_average_3_01_class_01_t_01_4.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">SimpleMovingAverage&lt; Class T &gt; Class Reference</div></div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:ac3f4bc473e9efde37f1bdeb3b1f2fa05"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d9c/class_simple_moving_average_3_01_class_01_t_01_4.html#ac3f4bc473e9efde37f1bdeb3b1f2fa05">SimpleMovingAverage</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> pSize, T pDefaultValue=0)</td></tr>
<tr class="memdesc:ac3f4bc473e9efde37f1bdeb3b1f2fa05"><td class="mdescLeft">&#160;</td><td class="mdescRight">Initialize Simple Moving Average Cyclic Buffer.  <a href="../../d0/d9c/class_simple_moving_average_3_01_class_01_t_01_4.html#ac3f4bc473e9efde37f1bdeb3b1f2fa05">More...</a><br /></td></tr>
<tr class="separator:ac3f4bc473e9efde37f1bdeb3b1f2fa05"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a974ac61d73a9e158e357abb53bdfdc1c"><td class="memItemLeft" align="right" valign="top">T&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d9c/class_simple_moving_average_3_01_class_01_t_01_4.html#a974ac61d73a9e158e357abb53bdfdc1c">Add</a> (T newSample)</td></tr>
<tr class="memdesc:a974ac61d73a9e158e357abb53bdfdc1c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Add new value and return average value from buffer.  <a href="../../d0/d9c/class_simple_moving_average_3_01_class_01_t_01_4.html#a974ac61d73a9e158e357abb53bdfdc1c">More...</a><br /></td></tr>
<tr class="separator:a974ac61d73a9e158e357abb53bdfdc1c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a7d87afc3082e7d76f5cf781ccfdceead"><td class="memItemLeft" align="right" valign="top">private T&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d9c/class_simple_moving_average_3_01_class_01_t_01_4.html#a7d87afc3082e7d76f5cf781ccfdceead">m_Sum</a> = 0</td></tr>
<tr class="separator:a7d87afc3082e7d76f5cf781ccfdceead"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab15882445968d0ba2b7e27ad76a2fa4f"><td class="memItemLeft" align="right" valign="top">private <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d9c/class_simple_moving_average_3_01_class_01_t_01_4.html#ab15882445968d0ba2b7e27ad76a2fa4f">m_Pointer</a> = 0</td></tr>
<tr class="separator:ab15882445968d0ba2b7e27ad76a2fa4f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:addcb7f89cf83aa505146fc9a0e1ef7b0"><td class="memItemLeft" align="right" valign="top">private <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d9c/class_simple_moving_average_3_01_class_01_t_01_4.html#addcb7f89cf83aa505146fc9a0e1ef7b0">m_Size</a> = 0</td></tr>
<tr class="separator:addcb7f89cf83aa505146fc9a0e1ef7b0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6bc4627e73c4f934187e08fa6a834a16"><td class="memItemLeft" align="right" valign="top">private ref <a class="el" href="../../d2/d41/classarray.html">array</a>&lt; T &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d9c/class_simple_moving_average_3_01_class_01_t_01_4.html#a6bc4627e73c4f934187e08fa6a834a16">m_Samples</a> = new <a class="el" href="../../d2/d41/classarray.html">array</a>&lt;T&gt;()</td></tr>
<tr class="separator:a6bc4627e73c4f934187e08fa6a834a16"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../d6/d6f/_simple_moving_average_8c_source.html#l00001">1</a> of file <a class="el" href="../../d6/d6f/_simple_moving_average_8c_source.html">SimpleMovingAverage.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="ac3f4bc473e9efde37f1bdeb3b1f2fa05" name="ac3f4bc473e9efde37f1bdeb3b1f2fa05"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac3f4bc473e9efde37f1bdeb3b1f2fa05">&#9670;&#160;</a></span>SimpleMovingAverage()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void SimpleMovingAverage&lt; <a class="el" href="../../d5/d78/group___enforce.html#d4/d14/class_class">Class</a> T &gt;::SimpleMovingAverage </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>pSize</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">T&#160;</td>
          <td class="paramname"><em>pDefaultValue</em> = <code>0</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Initialize Simple Moving Average Cyclic Buffer. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">pSize</td><td><code>size</code> of the buffer </td></tr>
    <tr><td class="paramname">pDefaultValue</td><td><code>initial</code> value stored in buffer </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definition at line <a class="el" href="../../d6/d6f/_simple_moving_average_8c_source.html#l00013">13</a> of file <a class="el" href="../../d6/d6f/_simple_moving_average_8c_source.html">SimpleMovingAverage.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a974ac61d73a9e158e357abb53bdfdc1c" name="a974ac61d73a9e158e357abb53bdfdc1c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a974ac61d73a9e158e357abb53bdfdc1c">&#9670;&#160;</a></span>Add()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">T <a class="el" href="../../d0/d9c/class_simple_moving_average_3_01_class_01_t_01_4.html#ac3f4bc473e9efde37f1bdeb3b1f2fa05">SimpleMovingAverage</a>&lt; <a class="el" href="../../d5/d78/group___enforce.html#d4/d14/class_class">Class</a> T &gt;::Add </td>
          <td>(</td>
          <td class="paramtype">T&#160;</td>
          <td class="paramname"><em>newSample</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Add new value and return average value from buffer. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">newSample</td><td><code>value</code> that will be added to buffer </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>average value from the buffer <div class="fragment"><div class="line">ref SimpleMovingAverage&lt;float&gt; m_Buffer = SimpleMovingAverage&lt;float&gt;(10, 0.5);</div>
<div class="line"><span class="keywordtype">float</span> sma = m_Buffer.Add(0.2);</div>
</div><!-- fragment --> </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d6/d6f/_simple_moving_average_8c_source.html#l00033">33</a> of file <a class="el" href="../../d6/d6f/_simple_moving_average_8c_source.html">SimpleMovingAverage.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="ab15882445968d0ba2b7e27ad76a2fa4f" name="ab15882445968d0ba2b7e27ad76a2fa4f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab15882445968d0ba2b7e27ad76a2fa4f">&#9670;&#160;</a></span>m_Pointer</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> <a class="el" href="../../d0/d9c/class_simple_moving_average_3_01_class_01_t_01_4.html#ac3f4bc473e9efde37f1bdeb3b1f2fa05">SimpleMovingAverage</a>&lt; <a class="el" href="../../d5/d78/group___enforce.html#d4/d14/class_class">Class</a> T &gt;::m_Pointer = 0</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/d6f/_simple_moving_average_8c_source.html#l00004">4</a> of file <a class="el" href="../../d6/d6f/_simple_moving_average_8c_source.html">SimpleMovingAverage.c</a>.</p>

</div>
</div>
<a id="a6bc4627e73c4f934187e08fa6a834a16" name="a6bc4627e73c4f934187e08fa6a834a16"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6bc4627e73c4f934187e08fa6a834a16">&#9670;&#160;</a></span>m_Samples</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private ref <a class="el" href="../../d2/d41/classarray.html">array</a>&lt;T&gt; <a class="el" href="../../d0/d9c/class_simple_moving_average_3_01_class_01_t_01_4.html#ac3f4bc473e9efde37f1bdeb3b1f2fa05">SimpleMovingAverage</a>&lt; <a class="el" href="../../d5/d78/group___enforce.html#d4/d14/class_class">Class</a> T &gt;::m_Samples = new <a class="el" href="../../d2/d41/classarray.html">array</a>&lt;T&gt;()</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/d6f/_simple_moving_average_8c_source.html#l00006">6</a> of file <a class="el" href="../../d6/d6f/_simple_moving_average_8c_source.html">SimpleMovingAverage.c</a>.</p>

</div>
</div>
<a id="addcb7f89cf83aa505146fc9a0e1ef7b0" name="addcb7f89cf83aa505146fc9a0e1ef7b0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#addcb7f89cf83aa505146fc9a0e1ef7b0">&#9670;&#160;</a></span>m_Size</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> <a class="el" href="../../d0/d9c/class_simple_moving_average_3_01_class_01_t_01_4.html#ac3f4bc473e9efde37f1bdeb3b1f2fa05">SimpleMovingAverage</a>&lt; <a class="el" href="../../d5/d78/group___enforce.html#d4/d14/class_class">Class</a> T &gt;::m_Size = 0</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/d6f/_simple_moving_average_8c_source.html#l00005">5</a> of file <a class="el" href="../../d6/d6f/_simple_moving_average_8c_source.html">SimpleMovingAverage.c</a>.</p>

</div>
</div>
<a id="a7d87afc3082e7d76f5cf781ccfdceead" name="a7d87afc3082e7d76f5cf781ccfdceead"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7d87afc3082e7d76f5cf781ccfdceead">&#9670;&#160;</a></span>m_Sum</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private T <a class="el" href="../../d0/d9c/class_simple_moving_average_3_01_class_01_t_01_4.html#ac3f4bc473e9efde37f1bdeb3b1f2fa05">SimpleMovingAverage</a>&lt; <a class="el" href="../../d5/d78/group___enforce.html#d4/d14/class_class">Class</a> T &gt;::m_Sum = 0</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/d6f/_simple_moving_average_8c_source.html#l00003">3</a> of file <a class="el" href="../../d6/d6f/_simple_moving_average_8c_source.html">SimpleMovingAverage.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/3_Game/tools/<a class="el" href="../../d6/d6f/_simple_moving_average_8c_source.html">SimpleMovingAverage.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d0/d9c/class_simple_moving_average_3_01_class_01_t_01_4.html">SimpleMovingAverage&lt; Class T &gt;</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
